using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Gridview_example : System.Web.UI.Page 
{
    protected void Page_Load(object sender, System.EventArgs e)
    {

        if (!Page.IsPostBack)
        {
            // When this page loads whe get the User Id from the session variable "UserID" to be able to select data
            // to the gridview and we also sets the pageindex on the gridview to the last page.

            HiddenUserID.Value = Convert.ToString(Session["UserID"]);
            GridView1.PageIndex = Int32.MaxValue;

        }
    }

    protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
    {
        GridViewRow row = GridView1.SelectedRow;

        // When the user clicks "Choose" on a row we get Company ID and Company name from the selected row
        // in the gridview and saves it to session variables. We also sets som session variables to a 
        // blank value and redirects the user to a new webpage.

        Session["CompanyID"] = row.Cells[0].Text;
        Session["CompanyName"] = row.Cells[1].Text;
        Session["YearID"] = string.Empty;
        Session["StartDate"] = string.Empty;
        Session["EndDate"] = string.Empty;
        Server.Transfer("Choose-accountingyear.aspx");

    }
    
    protected void GridView1_RowCommand(object sender, System.Web.UI.WebControls.GridViewCommandEventArgs e)
    {
        if (e.CommandName == "Delete")
        {
            string CompID = (e.CommandArgument).ToString();

            // When a user deletes a Company we have to clean up the values in session variables so that there not
            // will be any attemts to get data for a company that not exists in the database.

            if (CompID == Convert.ToString(Session["CompanyID"]))
            {
                Session["CompanyID"] = string.Empty;
                Session["CompanyName"] = string.Empty;
                Session["YearID"] = string.Empty;
                Session["StartDate"] = string.Empty;
                Session["EndDate"] = string.Empty;
            }
        }
    }

}
